Name:           chemical-mime-data
Version:        0.1.94
Release:        18%{?dist}
Summary:        Support for chemical/* MIME types

License:        LGPLv2+
URL:            http://sourceforge.net/projects/chemical-mime/
Source0:        http://downloads.sourceforge.net/chemical-mime/%{name}-%{version}.tar.bz2
Patch0:         chemical-mime-data-0.1.94-turbomole.patch

BuildArch:      noarch
BuildRequires:  ImageMagick
BuildRequires:  intltool
BuildRequires:  libxml2
BuildRequires:  libxslt
BuildRequires:  perl(XML::Parser)
BuildRequires:  shared-mime-info
Requires:       pkgconfig
Requires:       shared-mime-info
Requires:       hicolor-icon-theme

%description
A collection of data files which tries to give support for various chemical
MIME types (chemical/*) on Linux/UNIX desktops. Chemical MIME's have been
proposed in 1995, though it seems they have never been registered with IANA.


%prep
%setup -q
%patch0 -p1 -b .turbomole
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && mv -f ChangeLog.conv ChangeLog
sed -i -e '/^libdir/d' chemical-mime-data.pc.in


%build
%configure --disable-update-database \
           --without-gnome-mime \
           --without-pixmaps \
           --without-kde-mime
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make INSTALL="install -p" install DESTDIR=$RPM_BUILD_ROOT
cp -pR $RPM_BUILD_ROOT%{_docdir}/%{name} __docs
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}
%find_lang %{name}


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/bin/touch --no-create %{_datadir}/mime/packages &> /dev/null || :


%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    /bin/touch --no-create %{_datadir}/mime/packages &> /dev/null || :
    /usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING HACKING NEWS README THANKS TODO
%doc __docs/*
%{_datadir}/icons/hicolor/*/mimetypes/gnome-mime-chemical.png
%{_datadir}/icons/hicolor/scalable/mimetypes/gnome-mime-chemical.svgz
%{_datadir}/mime/packages/chemical-mime-data.xml
%{_datadir}/pkgconfig/chemical-mime-data.pc


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.94-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.94-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.94-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 09 2014 Rex Dieter <rdieter@fedoraproject.org> 0.1.94-15
- update mime scriptlets

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.94-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.94-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.94-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Julian Sikorski <belegdol@fedoraproject.org> - 0.1.94-11
- Switched from librsvg2 to ImageMagick since rsvg binary is no more

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.94-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 07 2012 Julian Sikorski <belegdol@fedoraproject.org> - 0.1.94-9
- Rebuilt for gcc-4.7
- Dropped obsolete Group, Buildroot, %%clean and %%defattr
- Updated icon cache scriptlets to the latest spec

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.94-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 10 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.94-7
- Enabled some turbomole mimetypes (RH #501177)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.94-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar 04 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.94-5
- Dropped the KDE MIME .desktop files

* Mon Feb 23 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.94-4
- Convert the ChangeLog to utf-8

* Sun Aug 26 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.94-3
- Adjusted License tag as per latest guidelines

* Mon Feb 12 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.94-2
- Whoops. Added intltool and gettext to BuildRequires

* Sun Feb 11 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.94-1
- Updated to 0.1.94

* Mon Jan 29 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.1.93-4
- Install *.pc to %%{_datadir}/pkgconfig, change to noarch (#225095).

* Mon Dec 04 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.93-3
- Removed INSTALL from %doc

* Sun Dec 03 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.93-2
- Fixed ownership
- Fixed .pc file location

* Sun Dec 03 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.93-1
- Initial RPM release
